IRPCServerAdmin.GetNotificationSettings

View as Markdown

Administration API / specialized admin session idempotent

Gets the server's notification settings and mail-sending configuration (without the SMTP password).

ServiceServer administration MFiles.IRPCServerAdmin
gRPC method/MFiles.IRPCServerAdmin/GetNotificationSettings
HTTP (mf-http-grpc)POST /grpc/v1/get-notification-settings
RequestGetNotificationSettingsRequest
ResponseGetNotificationSettingsResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetNotificationSettingsRequest

No fields.

Response: GetNotificationSettingsResponse

A structure that specifies the response type for the GetNotificationSettings method.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
notifications_enabledboolTells if the notifications are enabled.
digest_notification_message_hour_utcuint32The hour (UTC, 0-23) when the daily digest messages are sent.
digest_notification_message_minute_utcuint32The minute (0-59) when the daily digest messages are sent.
smtp_serverstringThe SMTP server for delivering notifications. Can be an IP address or a DNS name.
smtp_connection_parametersSMTPConnectionParametersParameters for SMTP connection.Values: SMTPCONNECTION_PARAMETERS_STANDARD (0), SMTPCONNECTION_PARAMETERS_AUTHENTICATION_PLAIN (1), SMTPCONNECTION_PARAMETERS_AUTHENTICATION_LOGIN (2), SMTPCONNECTION_PARAMETERS_AUTHENTICATION_CRAM_MD5 (4).
smtp_auth_usernamestringUser name for SMTP authentication.
smtp_mail_from_addressstringThe address of the sender when sending notifications.
smtp_mail_from_display_namestringThe display name of the sender when sending notifications.
smtp_portuint32The port the SMTP server is listening.
mail_source_auth_typeMailSourceAuthTypeThe authentication method to use.Values: MAIL_SOURCE_AUTH_TYPE_NONE (0), MAIL_SOURCE_AUTH_TYPE_BASIC (1), MAIL_SOURCE_AUTH_TYPE_OAUTH2 (2).
oauth2_settingsOauth2NotificationSettingsOAuth2 specific data.
oauth2_settings.mail_sourceMailSourceOauth2OAuth2 specific data.
oauth2_settings.mail_source.typeMailSourceOauth2TypeOAuth2 service to use.Values: MAIL_SOURCE_OAUTH2_TYPE_NONE (0), MAIL_SOURCE_OAUTH2_TYPE_MICROSOFT_OAUTH2 (1), MAIL_SOURCE_OAUTH2_TYPE_GOOGLE_OAUTH2 (2).
oauth2_settings.mail_source.statusMailSourceOauth2StatusAuthentication status.Values: MAIL_SOURCE_OAUTH2_STATUS_NONE (0), MAIL_SOURCE_OAUTH2_STATUS_ERROR (1), MAIL_SOURCE_OAUTH2_STATUS_AUTHENTICATED (2), MAIL_SOURCE_OAUTH2_STATUS_EXPIRED (3).
oauth2_settings.mail_source.user_infostringInformation about the authenticated user (account name etc.).
oauth2_settings.mail_source.configurationstringConfiguration for authentication in JSON format as name-value pairs. Use names as defined in OAuth2 standard.
oauth2_settings.mail_source.token_cachebytesToken cache. For Google OAuth2 this is in JSON format. For MSAL this is in its internal binary format.
oauth2_settings.mail_source.proxy_addressstringProxy address if used.
oauth2_settings.mail_from_addressstringThe address of the sender when sending notifications with OAuth2.
oauth2_settings.authentication_timeoutuint32Maximum time in seconds to wait for the OAuth2 authentication to take place.
oauth2_settings.mail_service_timeoutuint32Maximum time seconds to wait for the OAuth2 mail service request to be responded.